GET /devicelist

netatmo.net

Summary:
Operation ID: devicelist
Auth: unknown
Description

The method devicelist returns the list of devices owned by the user, and their modules. A device is identified by its _id (which is its mac address) and each device may have one, several or no modules, also identified by an _id.

Parameters (3)

app_type (string, query, optional)

Defines which device type will be returned by devicelist. It could be app_thermostat or app_station (by default if not provided)

Constraints: {'enum': ['app_thermostat', 'app_station']}

device_id (string, query, optional)

Specify a device_id if you want to retrieve only this device informations.

get_favorites (boolean, query, optional, default: False)

When set to "true", the favorite devices of the user are returned. This flag is available only if the devices requested are Weather Stations.

No probe data for this endpoint yet.